﻿<%@ Page Language="C#" AutoEventWireup="true" CodeFile="Default.aspx.cs" Inherits="Default" %>


<!DOCTYPE html>

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title></title>
</head>
<body>
    <form id="form1" runat="server">
        <telerik:RadScriptManager runat="server">
            <Scripts>
                <asp:ScriptReference Assembly="Telerik.Web.UI" Name="Telerik.Web.UI.Common.Core.js" />
                <asp:ScriptReference Assembly="Telerik.Web.UI" Name="Telerik.Web.UI.Common.jQuery.js" />
                <asp:ScriptReference Assembly="Telerik.Web.UI" Name="Telerik.Web.UI.Common.jQueryInclude.js" />
                <asp:ScriptReference Assembly="Telerik.Web.UI" Name="Telerik.Web.UI.Scheduler.ClientRendering.ClientRendering.js" />
            </Scripts>
        </telerik:RadScriptManager>
        <script>
            var scheduler;

            function f() {
                scheduler = $find('<%= RadScheduler1.ClientID %>');
                var $ = $telerik.$;
                var $sch = $(scheduler.get_element())
                var $rows = $sch.find('.rsAgendaRow');
                $rows.each(function myfunction(ind, row) {
                    var $cell = $(row).find('td:first');
                    var renderer = scheduler.get_activeModel()._getRenderer();
                    var apt = scheduler.getAppointmentFromDomElement(row);
                    var part = renderer._getModelAppointmentParts(apt, scheduler.get_activeModel())[0];

                    // change the format here
                    var startText = renderer._getFormattedDateText(part.start, "hh:mm:ss"),
                            endText = renderer._getFormattedDateText(part.end, "hh:mm:ss"),
                            formatString = renderer._getTimeCellFormatString(part);
                    if (formatString == "{0} - {1}") {
                        // remove end time
                        formatString = "{0}";
                    }

                    $cell.html(String.format(formatString, startText, endText))

                    // remove the end time // old
                    //if (index > 0) {
                    //    var text = $cell.text().slice(0, index);
                    //    $cell.text(text);
                    //}
                })

                //Sys.Application.remove_load(f);
            }
            Sys.Application.add_load(f);
        </script>
        <div class="scheduler-div">
            <telerik:RadScheduler runat="server"
                ID="RadScheduler1"
                RenderMode="Lightweight"
                SelectedView="AgendaView"
                SelectedDate="2012-01-31"
                Width="1500px">
                <TimeSlotContextMenuSettings EnableDefault="true" />
            </telerik:RadScheduler>
        </div>
    </form>
</body>
</html>
